summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alex Lysenka2010-05-13 00:31:10 +0200
committer Michiel van Wessem2010-05-13 00:31:10 +0200
commitbfce3816de726e879bfdbd34e8c8cfad18536276 (patch)
tree275fff4c85154fdd66a938928f535153b0bc0d4b
parent3e7fc76ed866d23880cd8648ae763ae338d39153 (diff)
downloadslackbuilds-bfce3816de726e879bfdbd34e8c8cfad18536276.tar.gz
libraries/libmp4v2: Updated for version 1.9.1
-rw-r--r--libraries/libmp4v2/libmp4v2.SlackBuild46
-rw-r--r--libraries/libmp4v2/libmp4v2.info12
2 files changed, 36 insertions, 22 deletions
diff --git a/libraries/libmp4v2/libmp4v2.SlackBuild b/libraries/libmp4v2/libmp4v2.SlackBuild
index 61eefc4247..c9ad05c662 100644
--- a/libraries/libmp4v2/libmp4v2.SlackBuild
+++ b/libraries/libmp4v2/libmp4v2.SlackBuild
@@ -34,9 +34,10 @@
# Modified by the SlackBuilds.org Project
PRGNAM=libmp4v2
-VERSION=1.5.0.1
+SRCNAM=mp4v2
+VERSION=1.9.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -45,46 +46,57 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
-rm -rf $TMP/$PRGNAM-$VERSION $PKG
+rm -rf $TMP/$SRCNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+cd $SRCNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a+s .
CFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp API_CHANGES AUTHORS COPYING ChangeLog INSTALL INTERNALS NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-( cd $PKG/usr/man || exit 1 ; find . -type f -exec gzip -9 {} \; )
+find $PKG/usr/man -type f -exec gzip -9 {} \;
rm -rf $PKG/usr/man/manm
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmp4v2/libmp4v2.info b/libraries/libmp4v2/libmp4v2.info
index 4e47058d23..507eebdb09 100644
--- a/libraries/libmp4v2/libmp4v2.info
+++ b/libraries/libmp4v2/libmp4v2.info
@@ -1,8 +1,10 @@
PRGNAM="libmp4v2"
-VERSION="1.5.0.1"
-HOMEPAGE="http://resare.com/libmp4v2/"
-DOWNLOAD="http://resare.com/libmp4v2/dist/libmp4v2-1.5.0.1.tar.bz2"
-MD5SUM="90eb2b0940ebe02ef81b7a60530beaee"
+VERSION="1.9.1"
+HOMEPAGE="http://code.google.com/p/mp4v2/"
+DOWNLOAD="http://mp4v2.googlecode.com/files/mp4v2-1.9.1.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="986701929ef15b03155ac4fb16444797"
+MD5SUM_x86_64=""
MAINTAINER="Alex Lysenka"
EMAIL="me@alkos333.net"
-APPROVED="BP{k}"
+APPROVED="michiel"